Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZProductCategory Member List

This is the complete list of members for eZProductCategory, including all inherited members.

$Description | eZProductCategory |
$ID | eZProductCategory |
$ImageID | eZProductCategory |
$Name | eZProductCategory |
$OptionArray | eZProductCategory |
$Parent | eZProductCategory |
$RemoteID | eZProductCategory |
$SectionID | eZProductCategory |
$SortMode | eZProductCategory |
__construct( $id=-1) | eZProductCategory |
activeProducts( $sortMode="time", $offset=0, $limit=50, $categoryID=false) | eZProductCategory |
addOption( $value) | eZProductCategory |
addProduct(&$value, $categoryid=false) | eZProductCategory | static
cloneObject() | eZProductCategory |
copy( $recursive=true, $id=false) | eZProductCategory |
delete( $catID=-1) | eZProductCategory |
description() | eZProductCategory |
generatePermissionSQL( $categoryID=false) | eZProductCategory | static
get( $id=-1) | eZProductCategory |
getAll() | eZProductCategory |
getByParent( $parent, $sortby='name') | eZProductCategory |
getByRemoteID( $id, $parent=false) | eZProductCategory |
getTree( $parentID=0, $level=0) | eZProductCategory | static
id() | eZProductCategory |
image( $AsObject=true) | eZProductCategory |
moveDown( $id) | eZProductCategory |
moveUp( $id) | eZProductCategory |
name() | eZProductCategory |
options() | eZProductCategory |
parent() | eZProductCategory |
path( $categoryID=0) | eZProductCategory |
productCount( $sortMode="time", $fetchNonActive=false, $fetchDiscontinued=false, $categoryID=false) | eZProductCategory |
products( $sortMode="time", $fetchNonActive=false, $offset=0, $limit=50, $fetchDiscontinued=false, $categoryID=0) | eZProductCategory | static
remoteID() | eZProductCategory |
removeProduct(&$value, $categoryid=false) | eZProductCategory | static
sectionID() | eZProductCategory |
sectionIDStatic( $categoryID) | eZProductCategory | static
setDescription(&$value) | eZProductCategory |
setImage( $value) | eZProductCategory |
setName(&$value) | eZProductCategory |
setParent( $parent) | eZProductCategory |
setRemoteID(&$value) | eZProductCategory |
setSectionID(&$value) | eZProductCategory |
setSortMode( $value) | eZProductCategory |
sortMode() | eZProductCategory |
store() | eZProductCategory |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.